org.infinispan.schematic

## Class Schematic.DocumentChanges.Externalizer

- java.lang.Object
- - org.infinispan.marshall.AbstractExternalizer<Schematic.DocumentChanges>
  - - org.infinispan.schematic.Schematic.DocumentChanges.Externalizer

- All Implemented Interfaces:
    Serializable, org.infinispan.marshall.AdvancedExternalizer<Schematic.DocumentChanges>, org.infinispan.marshall.Externalizer<Schematic.DocumentChanges>
  Enclosing class:
    Schematic.DocumentChanges

      public static class Schematic.DocumentChanges.Externalizer
      extends org.infinispan.marshall.AbstractExternalizer<Schematic.DocumentChanges>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Schematic.DocumentChanges.Externalizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getId()`
    `Set<Class<? extends Schematic.DocumentChanges>>` | `getTypeClasses()`
    `Schematic.DocumentChanges` | `readObject(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, Schematic.DocumentChanges changes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Schematic.DocumentChanges.Externalizer

          public Schematic.DocumentChanges.Externalizer()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                         Schematic.DocumentChanges changes)
                           throws IOException

      Throws:
        `IOException`

    - #### readObject

          public Schematic.DocumentChanges readObject(ObjectInput input)
                                               throws IOException,
                                                      ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Integer getId()

      Specified by:
        `getId` in interface `org.infinispan.marshall.AdvancedExternalizer<Schematic.DocumentChanges>`
      Overrides:
        `getId` in class `org.infinispan.marshall.AbstractExternalizer<Schematic.DocumentChanges>`

    - #### getTypeClasses

          public Set<Class<? extends Schematic.DocumentChanges>> getTypeClasses()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.